Skip to content
Sign in

Search Files

GET/v1/files/search

List live files and folders by name containment or change time, with each entry's folder path.

AuthorizationBearer <token>

In: header

Query parameters

workplaceId*string
Format:uuid
query?string

Case-insensitive name containment.

Length:1 <= length <= 255
kind?string
Value in:"file" | "folder"
order?string
Value in:"name" | "changedAt"
Default:"name"
direction?string

Defaults to ascending for name and descending for time.

Value in:"asc" | "desc"
changedSince?string
Format:date-time
cursor?string
Length:length <= 512
limit?integer
Range:1 <= value <= 50
Default:50

Response body

application/json

application/json

application/json

curl -X GET 'https://example.com/v1/files/search?workplaceId=497f6eca-6276-4993-bfeb-53cbbbba6f08'
{
  "entries": [
    {
      "workplaceId": "4989ce91-52f9-461b-87fa-af1f28004fc0",
      "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828",
      "kind": "file",
      "parentId": "70850378-7d3c-4f45-91b7-942d4dfbbd43",
      "name": "string",
      "version": "8b898373-21c7-4028-b85f-cc5068e68df9",
      "actorId": "d2f1b55c-8cee-4a0d-af57-aebaeff77518",
      "changedAt": "2019-08-24T14:15:22Z",
      "reference": "string",
      "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6",
      "contentType": "string",
      "byteLength": 0,
      "sha256": "string",
      "path": [
        {
          "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828",
          "name": "string"
        }
      ]
    }
  ],
  "nextCursor": "string"
}